#region Using Statements
using System;
using System.Collections.Generic;
using System.Text;using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
#endregion

namespace GhostArena3D
{
   public class Player
   {
      int health;
      int score;
      BoundingSphere collisionSphere;
      string gamerTag;
      Texture2D gamerPic;
      
      
      public int Health
      {
         get { return health; }
         set { health = value; }
      }
      
      
      public int Score
      {
         get { return score; }
         set { score = value; }
      }
      
      
      public BoundingSphere CollisionSphere
      {
         get { return collisionSphere; }
         set { collisionSphere = value; }
      }
      
      
      public string GamerTag
      {
         get { return gamerTag; }
         set { gamerTag = value; }
      }
      
      
      public Texture2D GamerPic
      {
         get { return gamerPic; }
         set { gamerPic = value; }
      }
      
      
      public Player()
      {
         health = 0;
         score = 0;
         collisionSphere = new BoundingSphere(Vector3.Zero, 1.0f);
      }
      
      
      public Player(int startingHealth, BoundingSphere boundingSphere)
      {
         health = startingHealth;
         score = 0;
         collisionSphere = boundingSphere;
         gamerPic = null;
      }
      
      
      public void SetCollisionCenter(Vector3 center)
      {
         collisionSphere.Center = center;
      }
   }
}
